using System;

public class drugiZadatak
{
    static string swap(string str, int i, int j)
    {
        char[] ch = str.ToCharArray();
        char temp = ch[i];
        ch[i] = ch[j];
        ch[j] = temp;
        string c = string.Join("", ch);
        return c;
    }

    static void print(char[] niz)
    {
        int n = niz.Length;
        for(int i = 0;i< n; i++)
        {
            Console.Write("{0} ", niz[i]);
        }
    }

    static string najvecaLepota(long num)
    {
        
        string brojS = "" + num;
        string temp = brojS;

        if(brojS.Length == 2)
        {
            return swap(brojS, 0, 1);
        }

        for (int i = 0; i < brojS.Length; i++)
        {
            for (int j = i + 1; j < brojS.Length; j++)
            {

                brojS = swap(brojS, i, j);
                if (temp.CompareTo(brojS) < 0)
                    temp = brojS;

                brojS = swap(brojS, i, j);
            }
        }
        return temp;
    }

    public static void Main(String[] s)
    {
        int n = int.Parse(Console.ReadLine());
        string[] unos = Console.ReadLine().Split();

        int broj = int.Parse(string.Join("", unos));

        char[] brojS = (najvecaLepota(broj)).ToCharArray();
        print(brojS);

    }
}